Kerbal Space Program - Bug #5288

88-88 antenna does not work when connected by attach node.
07/31/2015 06:41 AM - AlonzoTG

Status: Not a Bug Start date: 07/31/2015
Assignee:

Category: Parts

Target version:
Platform: Linux Mod Related: No
Description

Hey, | have a massive 83 ton, warp capable reconnosance space station actually (has a crew of 2). | couldn't get it to use the main
stock orbital scanner because the comms antenna would not deploy. It is >>> node <<< attached to another part, one of the things |
tried was stacking stock octagonal trusses under it. | tried a bunch of different things. | eventually went in and changed the part
configuration file to move the attach node by -0.1 on the part. It now works fine.

| think it was thinking it was clipped against whatever it was connected to. By moving the attach node, | seem to have corrected the
issue.

History

#1 - 07/31/2015 09:01 AM - Kasuha
- File screenshot13.png added

| couldn't reproduce it in my install, a node attached antenna deployed and worked just fine. It also clearly has no issues clipping through other parts
of the ship.

| suspect interference with some of your mods.
#2 - 08/01/2015 07:11 PM - AlonzoTG

Okay, | did some more investimigating. It seems to be a more general problem that | am now seeing with a solar pannel, seeing

[Solar Panels]: Cannot deploy while stowed.

The ship has no fairing, three other pannels with radial symmetry deployed without issue. general configuration of the craft is similar to the other, it's
heavier (123 tons) so therefore | sent it up on a smaller, less reliable launcher. %P

Searching on the internet with the error message shows that other people are having this issue with parachutes and upper stage engines.

#3 - 08/02/2015 10:46 AM - Squelch

- Status changed from New to Need More Info

AlonzoTG, we can't do much with anecdotal reports. Please could you provide us with logs, craft, or save files that demonstrate the problem? The
steps you've taken to reproduce the issue would be useful too.

| am seeing the same full functionality of 88-88 antenna while nodally attached as observed by Kasuha. What errors are you getting exactly, and is
this happening in a stock game, not just stock parts?

The "cannot deploy while stowed" may well be another unrelated problem, so please keep to one issue per report.

#4 - 09/27/2015 01:02 AM - AlonzoTG

I'm sorry, my bad, going to have to declare this one invalid. The situation appears to be:

Broken modded part + ferram Aerospace (voxelization) -> trouble.
#5 - 09/27/2015 07:31 AM - Squelch
- Status changed from Need More Info to Not a Bug
- % Done changed from 0 to 100

Thanks for the update, and I'm pleased you have isolated it.
